Get Playlist Statistics
Return details of the stream playlist statistics
curl -X GET "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/statistics/playlist" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/statistics/playlist"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/statistics/playlist", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/statistics/playlist", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/statistics/playlist')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"stats": {
"name": "103_push_6643_001one",
"status": "active",
"now_playing_playlist": "default",
"now_playing": "/mp4/cureforme_720p.mp4",
"now_playing_index": 0,
"now_playing_pos": 28,
"now_playing_loop": 78
}
}
GET
/streams/scheduledplaylist/{streamid}/statistics/playlistGET
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
streamidstring
RequiredStream ID
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Responses
resultstring
Status of the API response.
statsobject
namestring
Name of the stream.
statusstring
Current deployment or operational status of the stream.
now_playing_playliststring
now_playingstring
Currently playing item in the playlist.
now_playing_indexinteger
Index of the currently playing item in the playlist.
now_playing_posinteger
Playback position within the currently playing item.
now_playing_loopinteger
Loop count for the currently playing item.
Was this page helpful?